<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Doctor;
use App\Models\RatedUser;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class RatingController extends Controller
{
    public function addRating(Request $request)
    {
        if (is_null($request->value)){
            if($request->lang == "ar")
                $msg = "قيمة التقييم مطلوبة.";
            else
                $msg = "The rating value field is required.";
            return response()->json([
                "status" => false,
                "message" => $msg
            ]);
        }
        $user = User::find(1);
        $user->rateable()->create([
            "rated_id"=>2,
            "rate"=>4.5,
            "note"=>"NOTE From User",
        ]);
        return response()->json([
            "status" => true,
            "message" => "Rating added successfully"
        ]);

       /* $checkRating = RatedUser::where([["rated_by", Auth::user()->id], ["rated_user", $request->user_id]])->exists();
        if($checkRating){
            if($request->lang == "ar")
                $msg = "لقد قمت بتقييم هذا المستخدم مسبقاً";
            else
                $msg = "You have already rated this user";
            return response()->json([
                "status" => false,
                "message" => $msg
            ]);
        }

        $rating = new RatedUser();
        $rating->rated_by = Auth::user()->id;
        $rating->rated_user = $request->user_id;
        $rating->rating_value = $request->value;
        $rating->notes = $request->notes;
        $rating->save();
        return response()->json([
            "status" => true,
            "message" => "Rating added successfully"
        ]);*/
    }

    public function getRating()
    {
        $rating = RatedUser::where("rated_user", Auth::user()->id)->get();
        $count = count($rating);
        if ($count > 0) {
            $total = 0;
            for ($i = 0; $i < $count; $i++)
                $total = $total + $rating[$i]->rating_value;
            $avg = $total / $count;
            $avg = round($avg * 2) / 2;
            return response()->json([
                "status" => true,
                "data" => $avg
            ]);
        }else
            return response()->json([
                "status" => false,
                "message" => "There is no ratings"
            ]);
    }
}
