<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRatedUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rated_users', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("rated_by");
            $table->unsignedBigInteger("rated_user");
            $table->double("rating_value");
            $table->text("notes")->nullable();
            $table->foreign("rated_by")->references("id")->on("users")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreign("rated_user")->references("id")->on("users")->cascadeOnUpdate()->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rated_users');
    }
}
