@extends("layouts.admin.app")
@section("page-title")
    {{__("Dashboard")}}
@endSection
@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__("Appointment Details")}}</h1>

        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__("Dashboard")}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__("Appointment Details")}}</a></li>
        </ul>
    </div>
@endsection

@section("content")
    @include("includes.dialog")
                <section style="background-color: white;border-radius: 5px">
                    <div class="container py-1 mt-5">
                        <h4 style="margin: 15px">{{__('Edit Booking Info')}}</h4>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card mb-4">
                                    <div class="card-body" style="border: 1px solid #d2d2d2;border-radius: 10px">
                                        <form action="{{route('admin.date.update',$reservation_record_id)}}" method="post">
                                            @csrf
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <p>{{__('Old Booking Info')}}</p>
                                                <span class="btn btn-dark disabled mb-3">Doctor Name : {{$user_doctor->full_name}}</span>
                                                <span class="btn btn-dark disabled mb-3">Date : {{$user_object_booking->date}}</span>
                                                <span class="btn btn-dark disabled mb-3">Time From : {{date('h:i',strtotime($user_slot_time->time_from))}}</span>
                                                <span class="btn btn-dark disabled mb-3">Time To : {{date('h:i',strtotime($user_slot_time->time_to))}}</span>
                                                <span class="btn btn-dark disabled mb-3">Day : {{\Illuminate\Support\Facades\App::getLocale() == 'en' ?$object_week_days->week_day_en_name : $object_week_days->week_day_ar_name}}</span>
                                            </div>
                                            <div class="col-sm-6">
                                            <livewire:counter />
                                            </div>

                                            <div class="col-sm-2">
                                                <p>{{__('New Booking Doctor')}}</p>
                                                <select class="form-select" name="object_id" aria-label="Default select example" style="background: none;padding: 10px;border-radius: 7px">
                                                    @foreach($doctors as $index => $doctor)
                                                        @if($index == 0)
                                                            <option value="{{$doctor->object_id}}" disabled selected>{{ $user_doctor->full_name }}</option>
                                                        @endif
                                                        @if($doctor->full_name != $user_doctor->full_name)
                                                            <option value="{{$doctor->object_id}}"> {{$doctor->full_name}}</option>
                                                        @endif
                                                    @endforeach
                                                </select>

                                            </div>

                                        </div>
                                            <button class="btn btn-dark" type="submit">Edit</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
@endsection
@section("scripts")
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
@endsection