@extends("layouts.admin.app")
@section("page-title")
    {{__("Dashboard")}}
@endSection
@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__("Appointments")}}</h1>

        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__("Dashboard")}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__("appointments")}}</a></li>
        </ul>
    </div>
@endsection

@section("content")
    @include("includes.dialog")

    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered text-center" id="sampleTable">
                            <thead>
                            <tr>
                                <th>{{__("ID")}}</th>
                                <th>{{__("Booking Date")}}</th>
                                <th>{{__("User Name")}}</th>
                                <th>{{__("Doctor Name")}}</th>
                                <th>{{__("Time From")}}</th>
                                <th>{{__("Time To")}}</th>
                                <th>{{__("Online/Direct")}}</th>
                                <th>{{__("Cancellation")}}</th>
                                <th>{{__("Status")}}</th>
                                <th>{{__("Details")}}</th>
                                <th>{{__("Change Booking Time Slot")}}</th>
                            </tr>
                            </thead>
                            <tbody>
                                @if($users_booking)
                                    @foreach($users_booking as $index => $users)
                                        <tr>
                                            <td>{{$users->reservation_record_id}}</td>
                                            <td>{{$users->date}}</td>
                                            <td>{{$users->user ? ($users->user->full_name ? $users->user->full_name : "No User Name") : "No User Name" }}</td>
                                            <td>{{$users->full_name ? $users->full_name :  "No Doctor Name" }}</td>
                                            @php
                                                        $slot_time = App\Models\TimeSlot::where('id',$users->slot_id)->first();
                                                        $mytime = \Carbon\Carbon::now();
                                                        $currentDate = $mytime->toDateString();
                                            @endphp
                                            @if($slot_time)
                                            <td>{{$slot_time->time_from? date('h:i',strtotime($slot_time->time_from)) : "No Data"}}</td>
                                            <td>{{$slot_time->time_to ? date('h:i',strtotime($slot_time->time_to)) : "No Data"}}</td>
                                            <td>{{\Illuminate\Support\Facades\App::getLocale() == 'en' ? ($currentDate <= $users->date? "Coming" : "Expired") : ($currentDate <= $users->date? "قادم" : "منتهي")}}</td>
                                            <td>{{\Illuminate\Support\Facades\App::getLocale() == 'en' ? ($users->is_online == 1 ? 'Online' : 'Direct') : ($users->is_online == 1 ? 'عبر الانترنت' : 'مباشر')}}</td>
                                            <td>
                                                <select id="status" class="status form-control" onchange="ajaxCall(this,{{$users->is_cancelled}})"  data-id="{{$users->reservation_record_id}}">
                                                    <option value="{{$users->is_cancelled}}" selected>{{\Illuminate\Support\Facades\App::getLocale() == 'en' ? ($users->is_cancelled == 1 ? 'Cancelled' : 'Un Cancelled') :  ($users->is_cancelled == 1 ? 'ملغي' : 'غير ملغي')}}</option>
                                                         @if($users->is_cancelled == 1)
                                                            <option value="3">{{\Illuminate\Support\Facades\App::getLocale() == 'en' ? 'Un Cancelled' : 'غير ملغي' }}</option>
                                                        @elseif($users->is_cancelled == 0)
                                                            <option value="1" >{{\Illuminate\Support\Facades\App::getLocale() == 'en' ? 'Cancelled': 'ملغي' }}</option>
                                                        @endif
                                                </select>
                                                <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog" role="document" >
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title">Cancelled Reason</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="hide()">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form>
                                                                    <div class="form-group">
                                                                        <label for="Cancelled-Reason" class="col-form-label">Cancelled Reason:</label>
                                                                        <input type="text" class="form-control" id="Cancelled-Reason">
                                                                    </div>
                                                                </form>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="hide()">Close</button>
                                                                <button type="button" class="btn btn-primary" onclick="save()">Save</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </td>
                                            @endif
                                            <td>
                                                <a href="{{route('admin.date.details',[0,$users->object_id,$users->reservation_record_id])}}"  class="btn btn-primary">
                                                    {{__("Details")}}
                                                </a>
                                            </td>
                                            <td><a class="btn btn-success" href="{{route('admin.date.edit',$users->reservation_record_id)}}"><i class="fa fa-lg fa-edit"></i></a></td>
                                        </tr>

                                    @endforeach
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section("scripts")

    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <script>
        function hide(){
            $('#exampleModal').hide();
        }
        function save(){
            let val = $('#Cancelled-Reason').val();
            const bookingId =  localStorage.getItem("appontmentId")
            const statusId =  localStorage.getItem("statusId")
            console.log(bookingId)
            let url = window.location.href;

            $.ajax({
                url: url,
                type:"GET",
                data:{statusId:statusId,canselReason:val,bookingId:bookingId},
                timeout: 2000,
                success: function (result, textStatus, jqXHR) {
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    console.log("jqXHR:" + jqXHR);
                    console.log("TestStatus: " + textStatus);
                    console.log("ErrorThrown: " + errorThrown);
                }
            });
            $('#exampleModal').hide();

        }
        function ajaxCall(select,id){
            let val = $(select).val();
            let bookingId = $(select).attr('data-id');
            localStorage.setItem("appontmentId",bookingId)
            localStorage.setItem("statusId",val)
            console.log(bookingId)
            let url = window.location.href;
            if(val == 1){
                $('#exampleModal').show();
            }else {
                $('#exampleModal').hide();
                $.ajax({
                    url: url,
                    type:"GET",
                    data:{statusId:val,bookingId:bookingId},
                    timeout: 2000,
                    success: function (result, textStatus, jqXHR) {   //jqXHR = jQuery XMLHttpRequest
                        /*You could put your code here but this way of doing it is obsolete. Better to use .done()*/
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        console.log("jqXHR:" + jqXHR);
                        console.log("TestStatus: " + textStatus);
                        console.log("ErrorThrown: " + errorThrown);
                    }
                });
            }
        }

    </script>
@endsection
