<div wire:ignore.self class="modal fade" id="ExistUserAppointment" tabindex="-1" aria-labelledby="ExistUserAppointment" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Create Appointment For Exist User</h1>
            </div>
            <form wire:submit.prevent="store">
                <div class="modal-body">
                    <div class="col-sm-12">
                        <p>{{__('Choose User')}}</p>
                        <div class="form-group">
                            <select wire:model="user" wire:click="userData" class="form-control @if($errors->has('user')) is-invalid @endif" style="background: none;padding: 10px;border-radius: 7px">
                                <option value="" >-- Select User --</option>
                                @if($users)
                                    @foreach($users as $user)
                                        <option value="{{$user->id}}" selected>{{$user->full_name}}</option>
                                    @endforeach
                                @endif
                            </select>
                            <div>
                                @error('user') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                        </div>
                    </div>
                    <div style="display: flex">
                        <div class="col-sm-6">
                            <p>{{__('Choose Doctor')}}</p>
                            <select wire:model="object_id" wire:click="doctorData"  class="form-control @if($errors->has('object_id')) is-invalid @endif" style="margin: 10px 0px;background: none;padding: 10px;border-radius: 7px" >
                                <option value="">-- Select Doctor --</option>
                                @if($doctors)
                                    @foreach($doctors as $index => $doctor)
                                        <option value="{{$doctor->object_id}}">{{ $doctor->full_name }}</option>
                                    @endforeach
                                @endif
                            </select>
                            <div>
                                @error('object_id') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                        </div>

                        <div class="col-sm-5">
                            <p>{{__('Online/Direct')}}</p>
                            <select  class="form-control @if($errors->has('is_online')) is-invalid @endif" wire:model="is_online" style="background: none;padding: 10px;border-radius: 7px">
                                <option value="0" >-- IS Online ? --</option>
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div>
                                @error('is_online') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                        </div>
                    </div>
                    <div style="display: flex">
                        <div class="col-sm-6">
                            <p>{{__('Choose Booking Date')}}</p>
                            @php
                                $current = \Carbon\Carbon::now();
                            @endphp
                            <input type="date" class="form-control @if($errors->has('user_object_booking')) is-invalid @endif"  min="{{$current->toDateString()}}" id="timeDate" wire:model="user_object_booking" wire:change="handleTime" style="background: none;padding:10px;border-radius: 7px">
                            @error('user_object_booking') <span class="text-danger">{{ $message }}</span> @enderror

                        </div>
                        <div class="col-sm-5" id="bookingTime">
                            <p>{{__('Choose Booking Time')}}</p>
                            <select class="form-control @if($errors->has('slotTime')) is-invalid @endif" wire:model="slotTime" style="background: none;padding: 10px;border-radius: 7px">
                                <option value="0" >-- Select Booking Day --</option>
                                @if($slot_time)
                                    @foreach($slot_time as $slot)
                                        @php
                                            $object_week_days = \App\Models\ObjectWeekDays::where('id',$slot->object_week_days_id)->first();
                                        @endphp
                                        @if($object_week_days->week_day_en_name == $days)
                                            <option value="{{$slot->id}}">{{ date('h:i',strtotime($slot->time_from))}} {{date('h:i',strtotime($slot->time_to)) }}</option>
                                        @endif
                                    @endforeach
                                @endif
                            </select>
                            <div>
                                @error('slotTime') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>

                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-info">Create</button>
                </div>
            </form>

        </div>
    </div>
</div>
@section("scripts")
    <script>
        window.addEventListener('close-exist-user-modal', event => {
            $('#ExistUserAppointment').modal('hide');
        })
    </script>

@endsection
