<div wire:ignore.self class="modal fade" id="NewUserAppointment" tabindex="-1" aria-labelledby="NewUserAppointment" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Create Appointment For New User</h1>
            </div>
            <form wire:submit.prevent="store">
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">Full name</label>
                        <input class="form-control <?php if($errors->has('full_name')): ?> is-invalid <?php endif; ?>" type="text" wire:model="full_name" placeholder="Enter Full name"/>
                        <?php $__errorArgs = ['full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Email</label>
                        <input class="form-control <?php if($errors->has('email')): ?> is-invalid <?php endif; ?>" type="text" wire:model="email" placeholder="example : example@example.com"/>
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div style="display: flex">
                        <div class="col-sm-6">
                            <p><?php echo e(__('Choose Doctor')); ?></p>
                            <select wire:model="object_id"  class="form-control <?php if($errors->has('object_id')): ?> is-invalid <?php endif; ?>" style="margin: 10px 0px;background: none;padding: 10px;border-radius: 7px" wire:click="doctorData">
                                <option value="">-- Select Doctor --</option>
                                <?php if($doctors): ?>
                                    <?php $__currentLoopData = $doctors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $doctor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($doctor->object_id); ?>"><?php echo e($doctor->full_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                            <div>
                                <?php $__errorArgs = ['object_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="col-sm-5">
                            <p><?php echo e(__('Online/Direct')); ?></p>
                            <select  class="form-control <?php if($errors->has('is_online')): ?> is-invalid <?php endif; ?>" wire:model="is_online" style="background: none;padding: 10px;border-radius: 7px">
                                <option value="0" >-- IS Online ? --</option>
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div>
                                <?php $__errorArgs = ['is_online'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                    </div>
                    <div style="display: flex">
                        <div class="col-sm-6">
                            <p><?php echo e(__('Choose Booking Date')); ?></p>
                            <?php
                                $current = \Carbon\Carbon::now();
                            ?>
                            <input type="date" class="form-control <?php if($errors->has('user_object_booking')): ?> is-invalid <?php endif; ?>"  min="<?php echo e($current->toDateString()); ?>" id="timeDate" wire:model="user_object_booking" wire:change="handleTime" style="background: none;padding:10px;border-radius: 7px">
                            <?php $__errorArgs = ['user_object_booking'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>
                        <div class="col-sm-5" id="bookingTime">
                            <p><?php echo e(__('Choose Booking Time')); ?></p>
                            <select class="form-control <?php if($errors->has('slotTime')): ?> is-invalid <?php endif; ?>" wire:model="slotTime" style="background: none;padding: 10px;border-radius: 7px">
                                <option value="0" >-- Select Booking Day --</option>
                                <?php if($slot_time): ?>
                                    <?php $__currentLoopData = $slot_time; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slot): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $object_week_days = \App\Models\ObjectWeekDays::where('id',$slot->object_week_days_id)->first();
                                        ?>
                                        <?php if($object_week_days->week_day_en_name == $days): ?>
                                            <option value="<?php echo e($slot->id); ?>"><?php echo e(date('h:i',strtotime($slot->time_from))); ?> <?php echo e(date('h:i',strtotime($slot->time_to))); ?></option>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                            <div>
                                <?php $__errorArgs = ['slotTime'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-danger"><?php echo e($message); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-info">Create</button>
                </div>
            </form>

        </div>
    </div>
</div>
<?php $__env->startSection("scripts"); ?>
    <script>
        window.addEventListener('modal', event => {
            $('#NewUserAppointment').modal('hide');
        })
    </script>

<?php $__env->stopSection(); ?>
<?php /**PATH /home/healthcare/public_html/Helth-Care/resources/views/livewire/create-new-user-appointment-modal.blade.php ENDPATH**/ ?>